import './App.css';
import React from 'react';
import SpoilerParent from './Task1- spoiler/SpoilerParent/SpoilerParent';
import RangeInputParent from './Task2-RangeInput/RangeInputParent/RangeInputParent';
import PasswordConfirmParent from './Task3-PasswordConfirm/PasswordConfirmParent/PasswordConfirmParent';
import TimerParent from './Task4-Timer/TimerParent/TimerParent';
import TimerControlParent from './Task5-TimerControl/TimerControlParent/TimerControlParent';
import TimerContainerParent from './Task6-TimerContainer/TimerContainerParent/TimerContainerParent';
import {BrowserRouter, Route, Routes, Link} from 'react-router-dom';

function App() {

    return (
        <div className="wrapper">
            <h1>Название дз</h1>
            <BrowserRouter>
                <nav>
                    <ul>
                        {/*<li><Link to="/">App</Link></li>??*/}
                        <li><Link to="/spoiler">Spoiler</Link></li>
                        <li><Link to="/rangeInput">rangeInput</Link></li>
                        <li><Link to="/passwordConfirm">PasswordConfirm</Link></li>
                        <li><Link to="/timer">Timer</Link></li>
                        <li><Link to="/timerControl">timerControl</Link></li>
                        <li><Link to="/timerContainer">timerContainer</Link></li>
                    </ul>
                </nav>
                <Routes>
                    {/*<Route path="/" element={<App />}/>*/}
                    <Route path="/spoiler" element={<SpoilerParent />}/>
                    <Route path="/rangeInput" element={<RangeInputParent />}/>
                    <Route path="/passwordConfirm" element={<PasswordConfirmParent />}/>
                    <Route path="/timer" element={<TimerParent />}/>
                    <Route path="/timerControl" element={<TimerControlParent />}/>
                    <Route path="/timerContainer" element={<TimerContainerParent />}/>
                </Routes>
            </BrowserRouter>
        </div>

    );
}

export default App;
