import clockFace from './../../Img/clockFace.png';
import clockFace_S from '../../Img/сlockFace_S.png';
import clockFace_M from '../../Img/сlockFace_M.png';
import clockFace_H from '../../Img/сlockFace_H.png';
import './Watch.css';

const Watch = (props) => {
    const transformMSToSecCurrent = Math.floor(props.currentSec / 1000);
    const transformMSToSecInitial = props.initialSec / 1000;

    const h = Math.floor((transformMSToSecInitial - transformMSToSecCurrent) / 3600);
    const s = (transformMSToSecInitial - transformMSToSecCurrent) % 60;
    const min = Math.floor((transformMSToSecInitial - transformMSToSecCurrent) % 3600 / 60);

    return(
        <div className="Timer">
            <img
                src={clockFace}
                alt="таймер"
                className="baseTimer"
            />
            <img
                style={{transform: `rotate(${360/h}deg)`}}
                src={clockFace_H}
                alt="стрелочкаЧасовая"
                className="arrowHours"
            />
            <img
                style={{transform: `rotate(${360/60*min}deg)`}}
                src={clockFace_M}
                alt="стрелочкаМинутная"
                className="arrowMinutes"
            />
            <img
                style={{transform: `rotate(${s*6}deg)`} }
                src={clockFace_S}
                alt="стрелочкаСекундная"
                className="arrowSeconds"
            />
        </div>
    )
}

export default Watch;