import SecondsTimer from '../SecondsTimer/SecondsTimer';
import TimerContainer from '../TimerContainer/TimerContainer';
import Lcd from '../../Task7-LCD/Lcd/Lcd';
import Watch from '../../Task8-Watch/Watch/Watch';

const TimerContainerParent = () => {
    return(
        <div>
            <TimerContainer
                seconds={1800}
                refresh={100}
                renderComponents = {[SecondsTimer, Lcd, Watch]}
            />
        </div>
    )
}

export default TimerContainerParent;