function Lcd(sec) {
    const transformMSToSecCurrent = Math.floor(sec.currentSec / 1000);
    const transformMSToSecInitial = sec.initialSec / 1000;

    const h = Math.floor((transformMSToSecInitial - transformMSToSecCurrent) / 3600);
    const s = (transformMSToSecInitial - transformMSToSecCurrent) % 60;
    const min = Math.floor((transformMSToSecInitial - transformMSToSecCurrent) % 3600 / 60);

    return (
        <div>
            <div>LCD: {h < 10 ? '0' + h : h}:{min < 10 ? '0' + min : min}:{s < 10 ? '0' + s : s}</div>
        </div>
    );
}

export default Lcd;